/*
 * msp_OBD.h
 *
 *  Created on: Oct 26, 2023
 *      Author: shiya
 *  主要功能：
 *  	1.配置跳转进入bootloader
 *  	2.周期性上传GV
 *  		——每2ms上传一帧报文
 *  		——循环上传报文
 *  	3.配置GV上传选项
 *  		——可选择上传那一个元素
 *  		——默认不上传
 *  	4.设置CV的值
 *  	5.读取CV的值
 *  	6.配置CV的值更新入EEPROM
 *  	7.CV的值存入EEPROM
 *  	8.从EEPROM读取CV的值
 *  		——在GF_MSP_OBD_Init()中执行读取更新
 *
 */

#ifndef INC_MSP_MSP_OBD_H_
#define INC_MSP_MSP_OBD_H_

#include "BSP/bsp_include.h"

uint8_t GF_MSP_OBD_Init(uint8_t FDCAN_CH);

void GF_MSP_OBD_Rx_CallBack();
void GF_MSP_OBD_Run_Timer(void);

#endif /* INC_MSP_MSP_OBD_H_ */
